<?php
class Silnik // definicja klasy
{
    private $moc;
    private $moment;
    private $paliwo;

    public function setMoc(int|float $moc)
    {
        $this->moc = $moc;
    }

    public function getMoc() : int|float
    {
        return $this->moc;
    }
}

class Auto // definicja klasy
{
    private $silnik;

    public function __construct( // konstruktor
        private string $marka,
        private string $model,
        int|float $moc)
    {
        $this->silnik = new Silnik; // tworzenie egzemplarza klasy
        $this->silnik->setMoc($moc); // wywołanie metody egzemplarza klasy
    }

    public function print()
    {
        print "Parametry samochodu:".PHP_EOL;
        print "Marka: ".$this->marka.PHP_EOL;
        print "Model: ".$this->model.PHP_EOL;
        print "Moc silnika: ".$this->silnik->getMoc()." KM";
    }
}

$auto = new Auto(marka: "Syrena", model: "S-31", moc: 45);
$auto->print();